aboutsummaryrefslogtreecommitdiff
path: root/misc/figlet-international/figlet-international.SlackBuild
diff options
context:
space:
mode:
authorErik Falor <ewfalor@gmail.com>2017-07-30 18:41:31 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2017-08-05 07:07:24 +0700
commitb03556622226e8b315aae79f824f5595a495ba83 (patch)
tree21d77ac853852813cd708d40b331396c10506430 /misc/figlet-international/figlet-international.SlackBuild
parent15a87b0f7eb32fcaa69ab4885ef0123d86dcdbb4 (diff)
downloadslackbuilds-b03556622226e8b315aae79f824f5595a495ba83.tar.xz
misc/figlet-international: Added (international fonts for FIGlet).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'misc/figlet-international/figlet-international.SlackBuild')
-rw-r--r--misc/figlet-international/figlet-international.SlackBuild76
1 files changed, 76 insertions, 0 deletions
diff --git a/misc/figlet-international/figlet-international.SlackBuild b/misc/figlet-international/figlet-international.SlackBuild
new file mode 100644
index 000000000000..ee49718daffe
--- /dev/null
+++ b/misc/figlet-international/figlet-international.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for figlet-international
+
+# Copyright 2017 Erik Falor Logan, UT, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=figlet-international
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+FONTS="$(printf $PRGNAM | cut -d- -f2-)"
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $FONTS
+tar xvf $CWD/$FONTS.tar.gz
+cd $FONTS
+
+if [ "${CJK:-no}" = "yes" ]; then
+ tar xvf cjkfonts.tar.gz
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp febrew $PKG/usr/bin
+chmod 755 $PKG/usr/bin/febrew
+
+mkdir -p $PKG/usr/share/figlet
+cp *.flf *.flc $PKG/usr/share/figlet
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+if [ "${CJK:-no}" = "yes" ]; then
+ cp cjkfonts.readme $PKG/usr/doc/$PRGNAM-$VERSION
+fi
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}